<?php
/*
Plugin Name: q-wp-psnGal
Plugin URI: http://tonosdegris.com/blog/?p=162
Description: Simplify integration with coppermine gallery.  Requires psnGallery2 plugin
Version: 1.0
Author: Christian Soto
Author URI: http://tonosdegris.com/
*/ 

/*
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY
KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS
OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/

function display_album($text)
{
   global $post_meta_cache, $id, $single;
   $thumbstyle = "float: right; margin-left: 10px;";

   if (function_exists('CPGAlbum')) {

      if ($post_meta_cache[$id]['albumID'][0])

         if ($single) {
            ob_start();
            call_user_func("CPGAlbum", $post_meta_cache[$id]['albumID'][0],1,1,"","","","");
            $input = array(ob_get_contents());
            ob_end_clean();
            foreach ($input as $line) $text .= preg_replace("/<br \/>/", "", $line);
         } else CPGAlbumThumb ($post_meta_cache[$id]['albumID'][0], 2, "<div style=\"$thumbstyle\">", "</div>");

      if ($post_meta_cache[$id]['thumbID'])
         foreach ($post_meta_cache[$id]['thumbID'] as $picture) 
		if (is_numeric($picture)) CPGPicture($picture, 2, "<div style=\"$thumbstyle\">", "</div>");
		else $text = "<img src=\"$picture\" style=\"width: ".(isset($post_meta_cache[$id]['thumbWidth'][0])?$post_meta_cache[$id]['thumbWidth'][0]:"50%")."; $thumbstyle\" />".trim($text);
   }
   return trim($text);
}

add_filter('the_content', 'display_album');
?>
